org.springframework.cloud.dataflow.server.repository

## Interface DataflowJobExecutionDao

- All Known Implementing Classes:
    JdbcDataflowJobExecutionDao

      public interface DataflowJobExecutionDao

  Repository to access `JobExecution`s. Mirrors the `JobExecutionDao` but contains Spring Cloud Data Flow specific operations. This functionality might be migrated to Spring Batch itself eventually.
  Author:
    Gunnar Hillert

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `deleteBatchJobExecutionByJobExecutionIds(Set<Long> jobExecutionIds)` Delete the batch job execution records from the persistence store for the provided job execution ids.
    `int` | `deleteBatchJobExecutionContextByJobExecutionIds(Set<Long> jobExecutionIds)` Delete the batch job execution context records from the persistence store for the provided job execution ids.
    `int` | `deleteBatchJobExecutionParamsByJobExecutionIds(Set<Long> jobExecutionIds)` Delete the batch job execution parameter records from the persistence store for the provided job execution ids.
    `int` | `deleteBatchStepExecutionContextByStepExecutionIds(Set<Long> stepExecutionIds)` Delete the batch step execution context records from the persistence store for the provided step execution ids.
    `int` | `deleteBatchStepExecutionsByJobExecutionIds(Set<Long> jobExecutionIds)`
    `int` | `deleteUnusedBatchJobInstances()` Will delete any unused job instance records from the persistence store.
    `Set<Long>` | `findStepExecutionIds(Set<Long> jobExecutionIds)` Retrieve the step execution ids for 1 or more job execution ids.

- - ### Method Detail

    - #### deleteBatchJobExecutionByJobExecutionIds

          int deleteBatchJobExecutionByJobExecutionIds(Set<Long> jobExecutionIds)

      Delete the batch job execution records from the persistence store for the provided job execution ids.
      Parameters:
        `jobExecutionIds` - Must contain at least 1 value
      Returns:
        The number of affected records

    - #### deleteBatchJobExecutionContextByJobExecutionIds

          int deleteBatchJobExecutionContextByJobExecutionIds(Set<Long> jobExecutionIds)

      Delete the batch job execution context records from the persistence store for the provided job execution ids.
      Parameters:
        `jobExecutionIds` - Must contain at least 1 value
      Returns:
        The number of affected records

    - #### deleteBatchJobExecutionParamsByJobExecutionIds

          int deleteBatchJobExecutionParamsByJobExecutionIds(Set<Long> jobExecutionIds)

      Delete the batch job execution parameter records from the persistence store for the provided job execution ids.
      Parameters:
        `jobExecutionIds` - Must contain at least 1 value
      Returns:
        The number of affected records

    - #### deleteBatchStepExecutionContextByStepExecutionIds

          int deleteBatchStepExecutionContextByStepExecutionIds(Set<Long> stepExecutionIds)

      Delete the batch step execution context records from the persistence store for the provided step execution ids.
      Parameters:
        `stepExecutionIds` - Must contain at least 1 value
      Returns:
        The number of affected records

    - #### deleteBatchStepExecutionsByJobExecutionIds

          int deleteBatchStepExecutionsByJobExecutionIds(Set<Long> jobExecutionIds)

      Parameters:
        `jobExecutionIds` - Must contain at least 1 value
      Returns:
        The number of affected records

    - #### deleteUnusedBatchJobInstances

          int deleteUnusedBatchJobInstances()

      Will delete any unused job instance records from the persistence store.
      Returns:
        The number of affected records

    - #### findStepExecutionIds

          Set<Long> findStepExecutionIds(Set<Long> jobExecutionIds)

      Retrieve the step execution ids for 1 or more job execution ids.
      Parameters:
        `jobExecutionIds` - Must contain at least 1 value
      Returns:
        If no step execution ids are found, an empty collection is returned

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.